DCMTK: DPMTypes Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
DPMTypes Class Reference

General purpose class hiding global functions, constants and types in the parametric map context from the global namespace. More...

## Public Types
enum | ContentQualification { CQ_UNKNOWN , CQ_PRODUCT , CQ_RESEARCH , CQ_SERVICE }
| Enum for attribute Content Qualification. More...
enum | LossyImageCompression { COMP_UNKNOWN , COMP_YES , COMP_NO }
| Enum for attribute Lossy Image Compression. More...
enum | RecognizableVisibleFeatures { RVF_UNKNOWN , RVF_YES , RVF_NO }
| Enum for attribute Recognizable Visual Features. More...

## Static Public Member Functions
static OFString | rvf2Str (const RecognizableVisibleFeatures rvf)
| Convert Recognizable Visual Features enum to OFString.
static RecognizableVisibleFeatures | str2Rvf (const OFString &rvf)
| Convert OFString version of Recognizable Visual Features attribute value to enum value.
static OFString | cq2Str (const ContentQualification cq)
| Convert Content Qualification enum to OFString.
static ContentQualification | str2Cq (const OFString &cq)
| Convert OFString version of Content Qualification attribute value to enum value.
static OFBool | rvfValid (const RecognizableVisibleFeatures rvf)
| Check whether Recognizable Visual Features enum value is valid.
static OFBool | cqValid (const ContentQualification cq)
| Check whether Content Qualification enum value is valid.

## Detailed Description

General purpose class hiding global functions, constants and types in the parametric map context from the global namespace.

## Member Enumeration Documentation

## ◆ ContentQualification

enum DPMTypes::ContentQualification

Enum for attribute Content Qualification.

Enumerator
CQ_UNKNOWN | Unknown (e.g. not set)
CQ_PRODUCT | PRODUCT.
CQ_RESEARCH | RESEARCH.
CQ_SERVICE | SERVICE.

## ◆ LossyImageCompression

enum DPMTypes::LossyImageCompression

Enum for attribute Lossy Image Compression.

Enumerator
COMP_UNKNOWN | Unknown (e.g. not set)
COMP_YES | YES (lossy image compression used)
COMP_NO | NO (no lossy image compression used)

## ◆ RecognizableVisibleFeatures

enum DPMTypes::RecognizableVisibleFeatures

Enum for attribute Recognizable Visual Features.

Enumerator
RVF_UNKNOWN | Unknown (e.g. not set)
RVF_YES | YES (recognizable visual features present)
RVF_NO | NO (recognizable visual features not present)

## Member Function Documentation

## ◆ cq2Str()

static OFString DPMTypes::cq2Str | ( | const ContentQualification | cq | ) |
| static

Convert Content Qualification enum to OFString.

Parameters

  cq | The enum to convert

Returns
  String version of enum value

## ◆ cqValid()

static OFBool DPMTypes::cqValid | ( | const ContentQualification | cq | ) |
| static

Check whether Content Qualification enum value is valid.

Parameters

  cq | Value to check

Returns
  OFTrue if valid, OFFalse otherwise

## ◆ rvf2Str()

static OFString DPMTypes::rvf2Str | ( | const RecognizableVisibleFeatures | rvf | ) |
| static

Convert Recognizable Visual Features enum to OFString.

Parameters

  rvf | The enum to convert

Returns
  String version of enum value

## ◆ rvfValid()

static OFBool DPMTypes::rvfValid | ( | const RecognizableVisibleFeatures | rvf | ) |
| static

Check whether Recognizable Visual Features enum value is valid.

Parameters

  rvf | Value to check

Returns
  OFTrue if valid, OFFalse otherwise

## ◆ str2Cq()

static ContentQualification DPMTypes::str2Cq | ( | const OFString & | cq | ) |
| static

Convert OFString version of Content Qualification attribute value to enum value.

Parameters

  cq | The OFString value to convert

Returns
  The enum value of the string

## ◆ str2Rvf()

static RecognizableVisibleFeatures DPMTypes::str2Rvf | ( | const OFString & | rvf | ) |
| static

Convert OFString version of Recognizable Visual Features attribute value to enum value.

Parameters

  rvf | The OFString value to convert

Returns
  The enum value of the string

The documentation for this class was generated from the following file:

- dcmpmap/include/dcmtk/dcmpmap/dpmtypes.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2